package com.usky.ems.controller.api;

import com.usky.ems.RemoteEmsTaskService;
import com.usky.ems.service.EnergyDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class ServiceEmsTaskApi implements RemoteEmsTaskService {
    @Autowired
    private EnergyDataService energyDatabaseService;

    @Override
    public void sendEnergyData(){
        energyDatabaseService.sendEnergyData();
    }

    @Override
    public void sendEnergyHeartbeat(){
        energyDatabaseService.sendEnergyHeartbeat();
    }

}
